
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP中zlib扩展实现GZIP压缩输出各种方法总结 / 憋错料</title>

    <meta name="description" content="PHP中zlib扩展实现GZIP压缩输出各种方法总结 一般情况下我们出现大量数据传输理希望减少服务器的带宽压力,会采取一种方式来压缩文件传输,php中用zlib也可以实现gzip压缩输出,下面我们来看GZIP压缩输出各种方法总结. GZIP(GNU-ZIP)是一种压缩技术.经过GZIP压缩后页面大小可以变为原来的30%甚至更小.这样用户浏览的时候就会感觉很爽很愉快! 准备工作 1.找不到php_zlib.dll文件? 自php4.3开始zlib压缩就已经内置在php中了,所以至少Windows环境下是不需要安装zlib的. 2.安装搭建php运行环">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">PHP中zlib扩展实现GZIP压缩输出各种方法总结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>一般情况下我们出现大量数据传输理希望减少服务器的带宽压力，会采取一种方式来压缩文件传输,php中用zlib也可以实现gzip压缩输出，下面我们来看GZIP压缩输出各种方法总结.</p>
<p>GZIP（GNU-ZIP）是一种压缩技术。经过GZIP压缩后页面大小可以变为原来的30%甚至更小。这样用户浏览的时候就会感觉很爽很愉快！</p>
<p><strong>准备工作</strong></p>
<p>1、找不到php_zlib.dll文件？</p>
<p>自php4.3开始zlib压缩就已经内置在php中了，所以至少Windows环境下是不需要安装zlib的。</p>
<p>2、安装搭建php运行环境</p>
<p>　　由于光通过php.ini配置文件开启gzip配置实现php gzip压缩输出是不行的的，其需要apache的支持，所以建议安装搭建php+apache+mysql运行环境。</p>
<p><strong>php gzip配置步骤</strong></p>
<p>一、打开php.ini配置文件，找到zlib.output_compression = Off，将</p>
<p>zlib.output_compression = Off<br />
;zlib.output_compression_level = -1</p>
<p>修改为</p>
<p>zlib.output_compression = On<br />
zlib.output_compression_level = 6</p>
<p><strong>实例1</strong></p>
<p>PHP使用zlib扩展实现页面GZIP压缩输出</p>
<p>代码</p>
<table>
<tbody>
<tr>
<td>&nbsp;代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />function ob_gzip($content) // $content 就是要压缩的页面内容</p>
<p>{</p>
<p>if(!headers_sent() &amp;&amp; extension_loaded("zlib") &amp;&amp;<br />
strstr($_SERVER["HTTP_ACCEPT_ENCODING"],"gzip"))//判断页面头部信息是否输出，PHP中zlib扩<br />
展是否已经加载，浏览器是否支持GZIP技术<br />
{<br />
$content = gzencode($content." n//此页已压缩",9);<br />
//为准备压缩的内容贴上&ldquo;//此页已压缩&rdquo;的注释标签，然后用zlib提供的gzencode()函数执行级别为9的压缩，这个参数值范围是0-9，0<br />
表示无压缩，9表示最大压缩，当然压缩程度越高越费CPU。<br />
//用header()函数给浏览器发送一些头部信息，告诉浏览器这个页面已经用GZIP压缩过了！<br />
header(&ldquo;Content-Encoding: gzip&rdquo;);<br />
header(&ldquo;Vary: Accept-Encoding&rdquo;);<br />
header(&ldquo;Content-Length: &ldquo;.strlen($content));<br />
}<br />
return $content; //返回压缩的内容</p>
</td>
</tr>
</tbody>
</table>
<p>函数写好后，就用ob_start调用它，于是原来的ob_start()变成</p>
<p>ob_start(‘ob_gzip‘); //给ob_start()加一个参数，参数名就是刚才的函数名。这样当内容进入缓冲区后PHP就会调用ob_gzip函数把它压缩了。</p>
<p>最后结束缓冲区</p>
<p>ob_end_flush(); //结束缓冲区，输出内容。当然，不用这个函数也行，因为程序执行到最后会自动将缓冲区内容输出。</p>
<p><strong>最终完整的实例</strong></p>
<table>
<tbody>
<tr>
<td>&nbsp;代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />&lt;?php<br />
//调用一个函数名为ob_gzip的内容进行压缩<br />
ob_start(‘ob_gzip‘);<br />
//输出内容<br />
ob_end_flush();<br />
//这是ob_gzip函数</p>
<p>function ob_gzip($content)<br />
{<br />
if(!headers_sent()&amp;&amp;extension_loaded("zlib")<br />
&amp;&amp;strstr($_SERVER["HTTP_ACCEPT_ENCODING"],"gzip"))<br />
{<br />
$content = gzencode($content." n//此页已压缩",9);<br />
header("Content-Encoding: gzip");<br />
header("Vary: Accept-Encoding");<br />
header("Content-Length: ".strlen($content));<br />
}<br />
return $content;<br />
}<br />
?&gt;</p>
</td>
</tr>
</tbody>
</table>
<p><strong>实例2</strong></p>
<p>zlib压缩和解压缩swf文件的代码</p>
<p>文件的例子:</p>
<table>
<tbody>
<tr>
<td>&nbsp;代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">//没有加入判断swf文件是否已经压缩,入需要可以根据文件的第一个字节是‘F‘或者‘C‘来判断 <br />
压缩swf文件: <br />
//-------------------------------------------------------------------------------------------------- <br />
//文件名 <br />
$filename = "test.swf"; <br />
//打开文件 <br />
$rs = fopen($filename,"r"); <br />
//读取文件的数据 <br />
$str = fread($rs,filesize($filename)); <br />
//设置swf头文件 <br />
$head = substr($str,1,8); <br />
$head = "C".$head; <br />
//获取swf文件内容 <br />
$body = substr($str,8); <br />
//压缩文件内容,使用最高压缩级别9 <br />
$body = gzcompress($body, 9); <br />
//合并文件头和内容 <br />
$str = $head.$body; <br />
//关闭读取的文件流 <br />
fclose($rs); <br />
//创建一个新的文件 <br />
$ws = fopen("create.swf","w"); <br />
//写文件 <br />
fwrite($ws,$str); <br />
//关闭文件留 <br />
fclose($ws); <br />
//---------------------------------------------------------------------------------------------------- <br />
?&gt; <br />
解压缩swf文件: <br />
//---------------------------------------------------------------------------------------------------- <br />
//文件名 <br />
$filename = "test.swf"; <br />
//打开文件 <br />
$rs = fopen($filename,"r"); <br />
//读取文件的数据 <br />
$str = fread($rs,filesize($filename)); <br />
//设置swf头文件 <br />
$head = substr($str,1,8); <br />
$head = "F".$head; <br />
//获取swf文件内容 <br />
$body = substr($str,8); <br />
//解压缩文件内容 <br />
$body = gzuncompress($body); <br />
//合并文件头和内容 <br />
$str = $head.$body; <br />
//关闭读取的文件流 <br />
fclose($rs); <br />
//创建一个新的文件 <br />
$ws = fopen("create.swf","w"); <br />
//写文件 <br />
fwrite($ws,$str); <br />
//关闭文件留 <br />
fclose($ws); <br />
//---------------------------------------------------------------------------------------------------- <br />
?&gt; </td>
</tr>
</tbody>
</table>
<p><strong>实例3</strong></p>
<p>开启php zlib(gzip)压缩输出</p>
<p>php gzip配置知识点：</p>
<p>1、默认php是不开启zlib整站压缩输出的，而是通过对需要压缩输出的页面使用ob_gzhandler函数实现，两者只能二选一，否则会报错。</p>
<p>2、zlib.output_compression默认值为Off，你可以将其设置为On，或者output buffer size(默认为4k)</p>
<p>3、zlib.output_compression_level代表压缩比，默认推荐设置压缩比值为6，可选范围为1-9，-1代表关闭php zlib(gzip)压缩</p>
<p>二、保存php.ini配置文件，并重启apache服务器</p>
<p>三、打开apache 配置文件httpd.conf，配置装载deflate_module</p>
<p>这一步是最关键的开启php gzip压缩输出配置步骤，很多网友会说我已经开启了php.ini配置文件中的php gzip配置怎么还是没有实现php gzip压缩，就是因为没有让apache装载deflate_module，方法如下，将</p>
<table>
<tbody>
<tr>
<td>&nbsp;代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">#LoadModule deflate_module modules/mod_deflate.so </td>
</tr>
</tbody>
</table>
<p>去除开头的#号，并重启apache即可。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 09:43:03 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>PHP中zlib扩展实现GZIP压缩输出各种方法总结的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aDLBRM.html" rel="bookmark">&lbrack;转&rsqb;PHP通过zlib扩展实现GZIP压缩输出</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. GZIP介绍 GZIP是GNU zip的缩写,它是一个GNU自由软件的文件压缩程序,也经常用来表示gzip这种文件格式.GZIP主要用于Unix系统的文件压缩,我们经常看到的后缀为.gz的文件,它们就是GZIP格式的.GZIP的压缩效果比较明显,应用Gzip压缩网页时,网页可以压缩30%甚至更多. HTTP协议上的GZIP编码是一种用来改进WEB:应用程序性能的技术,Web开发中通过GZIP压缩页面来降低网站的流量,而且GZIP不会占用很多CPU.总体来考虑,启用GZIP还是非常划算的.通			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPRW9m3.html" rel="bookmark">Apache启用GZIP压缩网页传输方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.gzip介绍 Gzip是一种流行的文件压缩算法,如今的应用十分广泛,尤其是在Linux平台.当应用Gzip压缩到一个纯文本文件时,效果是很明显的,大约能够降低70%以上的文件大小.这取决于文件里的内容. 利用Apache中的Gzip模块,我们能够使用Gzip压缩算法来对Apacheserver公布的网页内容进行压缩后再传输到client浏览器.这样经过压缩后实际上降低了网络传输的字节数,最明显的优点就是能够加快网页载入的速度. 网页载入速度加快的优点不言而喻,除了节省流量,改善用户的浏览体验			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eAnvJ0.html" rel="bookmark">Linux  gzip压缩输出</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.gzip介绍 gzip是GNU zip的缩写,它是一个GNU自由软件的文件压缩程序,也经常用来表示gzip这种文件格式.软件的作者是Jean-loup Gailly和Mark Adler.1992年10月31日第一次公开发布,版本号是0.1,目前的稳定版本是1.2.4. Gzip主要用于Unix系统的文件压缩.我们在Linux中经常会用到后缀为.gz的文件,它们就是GZIP格式的.现今已经成为Internet 上使用非常普遍的一种数据压缩格式,或者说一种文件格式. 当应用Gzip压缩到一个纯			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ObnWZ0.html" rel="bookmark">apache php gzip压缩输出的实现方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.gzip介绍 gzip是GNU zip的缩写,它是一个GNU自由软件的文件压缩程序,也经常用来表示gzip这种文件格式.软件的作者是Jean-loup Gailly和Mark Adler.1992年10月31日第一次公开发布,版本号是0.1,目前的稳定版本是1.2.4. Gzip主要用于Unix系统的文件压缩.我们在Linux中经常会用到后缀为.gz的文件,它们就是GZIP格式的.现今已经成为Internet 上使用非常普遍的一种数据压缩格式,或者说一种文件格式. 当应用Gzip压缩到一个纯			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kgmNE0.html" rel="bookmark">在windows、linux中开启nginx的Gzip压缩大大提高页面、图片加载速度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为了降低tomcat服务的压力,把页面上的图片采用windows版的nginx进行加载,由于有些图片比较大,加载特别的慢,所以在nginx中打开了gzip的压缩功能.加载图片的速度快了很多. 通过站长工具中的&quot;网页GZIP压缩检测&quot;工具检测图片的压缩率达到了69.53%,如下图: 下面介绍nginx.conf文件是怎么配置的: 1.打开nginx.conf配置文件: 2.找到#gzip on这句,如下图: 3.在把#gzip on 改成下面代码: #开启Gzip gzip on; #不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBKJAZ0.html" rel="bookmark">Nginx压缩输出配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着网站内容不断增加,我们的网站上的内容和功能也变得丰富多彩,这时就会有一个问题出现----我们的网站加载会明显变慢,这对于网站的访客来说可不是一件愉快的事,那么我们该如何优化网站,加快网站的访问速度呢?减少网站的文件内容是不可能了,但我们可以用一种&quot;魔法&quot;把这些文件变小,下面我们便来认识一下这个奇妙的缩小术-----gzip. gzip(GNU-ZIP)是一种压缩技术,经过它的压缩,页面大小会缩小到一种可观的比例,它的原理就是在服务器端进行压缩,当压缩后的数据包到达用户端的浏览器时,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kgmZd0.html" rel="bookmark">IIS6&period;0如何开启配置网站动态压缩技术&mdash;&mdash;gzip压缩功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GZIP压缩是比较常见的一种HTTP压缩算法,可以压缩html,javascript,css甚至动态文件php,dll等.这样就减少了服务器和浏览器间传输的数据量,从而提交网站访问速度,同时会增加一些服务器的负担. 一． 环境要求 这里我们使用的是windows server 2003 和 IIS6, IIS7默认开启GZIP,只需简单配置就可以了,这个以后再说. 二． 配置过程 1. 登录您的香港服务器(或vps主机/云服务器),打开Internet信息服务(IIS)管理器 2. 给IIS添加			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nmJrNM.html" rel="bookmark">Windows2003服务器IIS启用Gzip压缩的设置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://jingyan.baidu.com/article/148a192178ec834d71c3b12b.html 步骤 1 2 3 本文介绍的HTTP压缩方式,采用的是Windows系统设置的方式,优点是效率较高. 一. HTTP压缩概述 HTTP压缩是在Web服务器 和浏览器间传输压缩文本内容的方法.HTTP压缩采用通用的压缩算法如gzip等压缩HTML.JavaScript或 CSS文件.压缩的最大好处就是降低了网络传输的数据量,从而提高客户端浏览器的访问速度.当然,同时也会增加			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDgQPp4.html" rel="bookmark">Apache开启GZIP压缩功能方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Gzip是一种流行的文件压缩算法,现在的应用十分广泛,尤其是在Linux平台,本文讲解了如何开启Apache平台上的Gzip压缩功能Gzip是一种流行的文件压缩算法,现在的应用十分广泛,尤其是在Linux平台.Gzip在现代浏览器中默认都是支持的,当一个纯文本文件使用Gzip压缩可以减少70%以上的文件大小,压缩后可以大大降低了网络传输的字节数,使用Gzip的好处就是可以加快网页加载的速度,同时是你的网站对搜索引擎更加友好.下面PHP程序员雷雪松详细的讲解下Apache如何使用mod_defla			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0dRY64.html" rel="bookmark" class="title">django项目运行步骤</a>
					<div>
						1.安装requirements.txt sudo pip install -r requirements.txt 2.配置settings.py文件 DATABASES = {    'defaul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/L3rPGwM.html" rel="bookmark" class="title">Android gen根目录下自动生成的R文件指向问题</a>
					<div>
						今天才弄明白,原来在调用vitamio包的时候使用它们的R文件,然后在迁入广告的时候出现了问题,但是瞎胡搞半天后把问题解决了,可没有明白这是什么原因. 今天更新应用又出现了相同的情况,无意中打开了ge ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pvWeJ0.html" rel="bookmark" class="title">2015，我不在年轻。</a>
					<div>
						突然间,我有一种老了的感觉,确切地说,太多的经历告诉我,我不在年轻了,我将很多东西看淡了,仿佛一切都无所谓.有点想不明白自己,是什么磨去了我那初生牛犊不怕虎的勇气和魄力,又是什么泯灭了我藐视困难.挑战 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eApRp0.html" rel="bookmark" class="title">MYSQL安装时解决要输入current root password的解决方法</a>
					<div>
						在装MYSQL的时候发现要输入current root password不记得以前在电脑里装过(你的系统曾经装过MYSQL在重装就会要求输入原来设定的密码,如果是第一次安装就不会出现),在网上苦苦搜寻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41gAkJ0.html" rel="bookmark" class="title">机器学习 &mdash;&mdash; 概率图模型（推理：变量消除）</a>
					<div>
						概率图的一个重要作用是进行推理,针对某个随机变量,告诉我们它到底有没有可能,有多大可能发生.之前在representation相关的内容中,我们更多的关心如何利用概率图减少联合分布的计算量.infer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoGRQQM.html" rel="bookmark" class="title">【HDOJ】4325 Flowers</a>
					<div>
						树状数组+离散化的题目,一直在思考为什么结果不一样,后来才发现花开了就是开了不会再谢了. 1 /* 4325 */ 2 #include &lt;iostream&gt; 3 #include &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Amn2d4.html" rel="bookmark" class="title">python 写 txt</a>
					<div>
						python写txt,之前写过jason的,和写txt有点区别,记录下. import os def touch(path): u = '12' u1= '34' with open(path, 'w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0en2vJ3.html" rel="bookmark" class="title">正则中表示一个反斜线要使用四个反斜线</a>
					<div>
						java中反斜线'\'通常和其他字符组合使用,我们有时候称它为转义字符 java代码里 要表示一个反斜线'\'就要写成:双斜线形式&quot;\\&quot;,第一个反斜线代表转义,第二个可以看做普通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47qj210.html" rel="bookmark" class="title">生成干扰线</a>
					<div>
						生成干扰线就是画线:imageline($im参数,rand(0),0,) php验证码代码 定义常量:define(&quot;host&quot;,&quot;127.0.0.1&quot;);  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y71Oq4.html" rel="bookmark" class="title">64位操作系统下用Microsoft&period;Jet&period;OLEDB&period;4&period;0出现未注册错误</a>
					<div>
						在WIN7 64位下用Microsoft.Jet.OLEDB.4.0方法访问数据库Access,出现未注册错误 如果是要建立64位的应用程序 1.Microsoft Access Database E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38w1Ll0.html" rel="bookmark" class="title">深入理解BFC和外边距合并&lpar;MarginCollapse&rpar;</a>
					<div>
						姿篪显 只会以讹传讹的市井百姓对于世子殿下的所作所为按照他们的资历和身份不同程度地 莽女帝都亲口点名的年轻武将发丝凌乱血污凝结且掺杂了许多黄沙身上披挂铁甲更 徐凤年听到轩辕青锋喃喃自语问道:&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38wAJn0.html" rel="bookmark" class="title">2016&period;9&period;9</a>
					<div>
						编译原理就是什么?编译原理就是介绍编译程序构造的一般原理和基本方法的课程 .编译原理及技术从本质上来讲就是一个算法问题而已.学习编译原理有什么好处?有利于提高软件人员的素质和能力,在编程时能够做出更加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02k5Da3.html" rel="bookmark" class="title">linux命令：less</a>
					<div>
						1.命令介绍: less用来逐页输出文件内容,less相比more功能更加强大,less可以前后翻页,前后搜索. 2.命令格式: less [选项] 文件 3.命令参数: -b &lt;缓冲区大小&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLPwqvM.html" rel="bookmark" class="title">mysql&lpar;表类型的选择&rpar;</a>
					<div>
						1.查询mysql所支持的存储引擎 第一种方法:show engines \G 第二种方法  show variables like &quot;have%&quot;; 2.设置和修改存储引擎 创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e7m9b4.html" rel="bookmark" class="title">Java网络编程从入门到精通（5）：使用InetAddress类的getHostName方法获得域名</a>
					<div>
						该方法可以得到远程主机的域名,也可以得到本机名.getHostName方法的定义如下: public String getHostName() 下面是三种创建InetAddress对象的方式,在这三种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KZ6r9M.html" rel="bookmark" class="title">iOS ipv6</a>
					<div>
						这当中最重要的两个概念是DNS64和NAT64. DNS64 DNS64说白了是用来帮助host获取IPv6地址的,传统的DNS服务器可以把域名转换成IPv4地址,但我们的iPhone设备如果处于IP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wjJyY0.html" rel="bookmark" class="title">HTML &amp;lt&semi;form&amp;gt&semi; 标签的 enctype 属性</a>
					<div>
						在HTML中,form标签用于提交表单.form标签有一个enctype属性. enctype 属性规定在发送到服务器之前应该如何对表单数据进行编码    也就是说,在Form元素的语法中,EncTy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBjzbyM.html" rel="bookmark" class="title">数据从机房迁移到阿里ECS弹性云</a>
					<div>
						首先做的实验是利用到LAMP+vsftpd 实现上传安装wordpress 要求 1: 公司: 已经购买了DNS,阿里ECS云主机 需求: 1:提供FTP上传的用户名和密码 2:需要上传的文件包括:P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j99nWM.html" rel="bookmark" class="title">mysql命令行导出导入数据库</a>
					<div>
						一.MYSQL的命令行模式的设置: 桌面-&gt;我的电脑-&gt;属性-&gt;环境变量-&gt;新建-&gt;PATH=“:path\mysql\bin;”其中path为MYSQL的安装路径.二. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e61LZ3.html" rel="bookmark" class="title">访问文档中的所有元素</a>
					<div>
						&lt;!doctype html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt;   &lt;meta charset=&quot;UTF-8&q ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
